Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain.solver
Class EmployeeWorkSequence

    java.lang.Object
      org.drools.planner.examples.nurserostering.domain.solver.EmployeeWorkSequence

All Implemented Interfaces:
  Serializable, Comparable<EmployeeWorkSequence>

    public class EmployeeWorkSequence

extends Object
implements Comparable<EmployeeWorkSequence>, Serializable

See Also:
  Serialized Form

Constructor Summary
`EmployeeWorkSequence(Employee employee, int firstDayIndex, int lastDayIndex)`

Method Summary
`int` | `compareTo(EmployeeWorkSequence other)`
`boolean` | `equals(Object o)`
`int` | `getDayLength()`
`Employee` | `getEmployee()`
`int` | `getFirstDayIndex()`
`int` | `getLastDayIndex()`
`int` | `hashCode()`
`void` | `setEmployee(Employee employee)`
`void` | `setFirstDayIndex(int firstDayIndex)`
`void` | `setLastDayIndex(int lastDayIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmployeeWorkSequence

    public EmployeeWorkSequence(Employee employee,
                                int firstDayIndex,
                                int lastDayIndex)

Method Detail

### getEmployee

    public Employee getEmployee()

### setEmployee

    public void setEmployee(Employee employee)

### getFirstDayIndex

    public int getFirstDayIndex()

### setFirstDayIndex

    public void setFirstDayIndex(int firstDayIndex)

### getLastDayIndex

    public int getLastDayIndex()

### setLastDayIndex

    public void setLastDayIndex(int lastDayIndex)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(EmployeeWorkSequence other)

  Specified by:
    `compareTo` in interface `Comparable<EmployeeWorkSequence>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDayLength

    public int getDayLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.